Перейти к публикации
Форум ботоводов

explorersrm

Members
  • Публикации

    10
  • Зарегистрирован

  • Посещение

Репутация

0 Neutral
  1. на Биттрексе есть минимальная ставка равная 0.0005 BTC...соответственно при увеличении курса и увеличиваем минимальную ставку в $.
  2. Проблема решается методом увеличения пример : MARKET_WAIT_TIME = 30 # но появилась другая, в момент срабатывания бота по сигналам выдаёт: During handling of the above exception, another exception occurred: Traceback (most recent call last): File "C:\Users\..\AppData\Local\Programs\Python\Python37\lib\logging\__init__.py", line 983, in emit msg = self.format(record) File "C:\Users\..\AppData\Local\Programs\Python\Python37\lib\logging\__init__.py", line 829, in format return fmt.format(record) File "C:\Users\..\AppData\Local\Programs\Python\Python37\lib\logging\__init__.py", line 572, in format s = self.formatMessage(record) File "C:\Users\..\AppData\Local\Programs\Python\Python37\lib\logging\__init__.py", line 541, in formatMessage return self._style.format(record) File "C:\Users\..\AppData\Local\Programs\Python\Python37\lib\logging\__init__.py", line 384, in format return self._fmt % record.__dict__ KeyError: 'log_name' Call stack: File "C:\Users\..\AppData\Local\Programs\Python\Python37\lib\threading.py", line 885, in _bootstrap self._bootstrap_inner() File "C:\Users\..\AppData\Local\Programs\Python\Python37\lib\threading.py", line 917, in _bootstrap_inner self.run() File "C:\Users\..\AppData\Local\Programs\Python\Python37\lib\threading.py", line 865, in run self._target(*self._args, **self._kwargs) File "C:\Users\..\Desktop\ETH-ZEC_MR\main.py", line 264, in process_market error_log.exception('Error!!!!') Message: 'Error!!!!' Arguments: ()
  3. Проблема та же.... 2019-04-18 16:53:47,320 USD-ETH: Получаем все неисполненные ордера по БД<br/> 2019-04-18 16:53:47,322 USD-ETH: Неисполненных ордеров в БД нет, пора ли создать новый?<br/> 2019-04-18 16:53:47,737 USD-ETH: Error!!!!<br/> Traceback (most recent call last): File "C:\Users\...\Bittrex\MACD+RSI\main.py", line 228, in process_market macd_advice = get_macd_advice(chart_data=get_ticks(market, period=Config.MACD_TICK_INTERVAL)) File "C:\Users\...\Bittrex\MACD+RSI\misc.py", line 103, in get_ticks res = requests.get("https://bittrex.com/Api/v2.0/pub/market/GetTicks?marketName=" + market + "&tickInterval="+period, verify=Config.SECURE).json() File "C:\Users\...\AppData\Local\Programs\Python\Python37\lib\site-packages\requests\models.py", line 897, in json return complexjson.loads(self.text, **kwargs) File "C:\Users\....\AppData\Local\Programs\Python\Python37\lib\json\__init__.py", line 348, in loads return _default_decoder.decode(s) File "C:\Users\....\AppData\Local\Programs\Python\Python37\lib\json\decoder.py", line 337, in decode obj, end = self.raw_decode(s, idx=_w(s, 0).end()) File "C:\Users\....\AppData\Local\Programs\Python\Python37\lib\json\decoder.py", line 355, in raw_decode raise JSONDecodeError("Expecting value", s, err.value) from None json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)
  4. а вы не могли бы поменять код для скачивания с учётом замены или как то отдельно его выложить? А то не пойму где синтаксическая ошибка....вроде всё перепробовал.☹️
  5. То, что я показывал ранее это изначальная ошибка....до замены
  6. Разобрался...синтаксическая ошибка....только где???? ....отступы скорее всего???
  7. в предлагаемой строке для замены старой у вас тоже отсутствует json()
  8. Изначально было так: # Получаем с биржи данные, необходимые для построения индикаторов def get_ticks(market, period): chart_data = {} # Получаем готовые данные свечей res = requests.get("https://bittrex.com/Api/v2.0/pub/market/GetTicks?marketName=" + market + "&tickInterval="+period, verify=Config.SECURE).json() if not res['success']: market_log = log.get_logger(market) market_log = logging.LoggerAdapter(market_log, extra={'log_name': market}) market_log.warning(str(res)) if res['message'] == 'INVALID_MARKET': market_log.warning(
  9. Может я допустил ошибку в написании # Получаем с биржи данные, необходимые для построения индикаторов def get_ticks(market, period): chart_data = {} # Получаем готовые данные свечей res = requests.get("https://bittrex.com/Api/v2.0/pub/market/GetTicks?marketName=" + market + "&tickInterval="+period, verify=Config.SECURE) print(res) res = res.json() if not res['success']: market_log = log.get_logger(market) market_log = logging.LoggerAdapter(market_log, extra={'log_name': market}) market_log.warning(str(res)) if res['message'] == 'INVALID_MARKET': market_log.warning(
  10. 2019-04-18 14:55:03,771 USD-ETH: Пропускаем проверку RSI, т.к. MACD не позволяет выставлять покупку<br/> 2019-04-18 14:55:04,774 USD-ETH: Получаем все неисполненные ордера по БД<br/> 2019-04-18 14:55:04,777 USD-ETH: Неисполненных ордеров в БД нет, пора ли создать новый?<br/> 2019-04-18 14:55:05,115 USD-ETH: Error!!!!<br/> Traceback (most recent call last): File "C:\Users\?\Desktop\USD-ETH_MR\main.py", line 228, in process_market macd_advice = get_macd_advice(chart_data=get_ticks(market, period=Config.MACD_TICK_INTERVAL)) File "C:\Users\?\Desktop\USD-ETH_MR\misc.py", line 103, in get_ticks res = requests.get("https://bittrex.com/Api/v2.0/pub/market/GetTicks?marketName=" + market + "&tickInterval="+period, verify=Config.SECURE).json() File "C:\Users\?\AppData\Local\Programs\Python\Python37\lib\site-packages\requests\models.py", line 897, in json return complexjson.loads(self.text, **kwargs) File "C:\Users\?\AppData\Local\Programs\Python\Python37\lib\json\__init__.py", line 348, in loads return _default_decoder.decode(s) File "C:\Users\?\AppData\Local\Programs\Python\Python37\lib\json\decoder.py", line 337, in decode obj, end = self.raw_decode(s, idx=_w(s, 0).end()) File "C:\Users\?\AppData\Local\Programs\Python\Python37\lib\json\decoder.py", line 355, in raw_decode raise JSONDecodeError("Expecting value", s, err.value) from None json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0) Постоянная ошибка...
×
×
  • Создать...